package com.ningdatech.pmapi.common.helper;

import com.ningdatech.pmapi.user.security.auth.model.UserFullInfoDTO;
import org.springframework.stereotype.Component;

/**
 * @author liuxinxin
 * @date 2023/2/10 下午4:38
 * @Description: 用户信息管理工具类 helper
 */

@Component
public interface UserInfoHelper {

    /**
     * 根据用户id 获取 用户所属公司 organizationCode
     *
     * @param userId
     * @return
     */
    String getOrganizationCode(Long userId);

    UserFullInfoDTO getUserFullInfo(Long userId);

    String getUserName(Long userId);

}
